/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package productcatalog;

/**
 * This class represents product category (eg. computers, DVD players, etc.)
 *
 * @author Petr Adamek
 */
public class Category {

    // We use Long instead of long because Long can contain null value.
    // In this case null means that object has no primary key assigned yet.
    private Long id;

    private String name;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Category other = (Category) obj;
        if (this.id != other.id && (this.id == null || !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 5;
        hash = 89 * hash + (this.id != null ? this.id.hashCode() : 0);
        return hash;
    }

}
